Subject: [RFH] 'man:' macro for asciidoc

From: Jakub Narebski <[email-masked]>
Date: Sat, 03 Mar 2012 10:33:36 -0800 (PST)

Jeff King <[email-masked]> writes:
> On Sat, Mar 03, 2012 at 03:50:53PM +0100, Clemens Buchacher wrote:

> >  http.proxy::
> > -	Override the HTTP proxy, normally configured using the 'http_proxy'
> > -	environment variable (see linkgit:curl[1]).  This can be overridden
> > -	on a per-remote basis; see remote.<name>.proxy
> > +	Override the HTTP proxy, normally configured using the 'http_proxy',
> > +	'https_proxy', and 'all_proxy' environment variables (see
> > +	linkgit:curl[1]).  This can be overridden on a per-remote basis; see
> > +	remote.<name>.proxy
> 
> Text looks OK. I think this linkgit:curl is wrong, though. In the
> manpages, it formats as simply curl(1), but in the HTML pages, it
> creates a link to curl.html, which does not exist. This is not a problem
> introduced by your patch, obviously, but maybe it is worth cleaning up.
> I think just using:
> 
>   `curl(1)`
> 
> might be sufficient.

BTW it wouldreally be nice be able to use simply  man:curl[1]  instead
of worrying if it shoudl be `curl(1)`, or *curl*(1), or curl(1)

-- 
Jakub Narebski